
def get_oauth2_token(client_id, client_secret, token_url, auth_url):
    from oauthlib.oauth2 import BackendApplicationClient, OAuth2Session
    from requests.auth import HTTPBasicAuth

    client = BackendApplicationClient(client_id=client_id)
    session = OAuth2Session(client=client)
    token = session.fetch_token(token_url=token_url, auth=HTTPBasicAuth(client_id, client_secret))
    return token



